<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="fr" xml:id="demo_function_choice">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>demo_function_choice</refname>
    <refpurpose> choisit et exécute un item au sein d'une liste </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Séquence d'appel</title>
    <synopsis>demo_function_choice()</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Description</title>
    <para>
		La fonction demo_function_choice choisit et exécute un item choisi dans la 
		variable 'demolist' qui doit figurer avant. La variable 'demolist' est une matrice de texte dont la 
		premiere colonne contient des noms d'items affichés dans une fenêtre d'options 
		et la deuxième, le nom d'une fonction correspondante qui sera exécuté. Le titre 
		de la fenêtre d'options est 'Choose a demo'.
		Quand on choisit d'abandonner la fenêtre d'options, la console est remise à sa largeur 
		initiale.
		</para>
  </refsection>
  <refsection>
    <title>Exemples</title>
    <programlisting role="example"><![CDATA[ 
demolist=[
	'Simulation of a binomial random variable','set figure_style new;clf();BinomialT();';
	'Simulation of a discrete random variable','set figure_style new;clf();RndDiscT();';
	'Simulation of a geometric random variable','set figure_style new;clf();GeomT(1000);';
	'Simulation of a Poisson random variable','set figure_style new;clf();PoissonT() ;';
	'Simulation of an exponential random variable','set figure_style new;clf();ExpT();';
	'Simulation of a Weibull random variable','set figure_style new;clf();WeibullT();';
	'Simulation of an hyper geometric random variable','set figure_style new;clf();HyperGeomT();';
	'Simulation of an Erlang random variable','set figure_style new;clf();ErlangT();'];

demo_function_choice();
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>Voir Aussi</title>
    <simplelist type="inline">
      <member>
        <link linkend="demo_file_choice">demo_file_choice</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Auteurs</title>
    <simplelist type="vert">
      <member>G.H</member>
    </simplelist>
  </refsection>
</refentry>
